Bug 25920 - Add liblocale-codes-perl package to fix ubuntu-stable (focal)
Summary: Add liblocale-codes-perl package to fix ubuntu-stable (focal)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P1 - high blocker (vote)
Assignee: Mason James
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 30084
  Show dependency treegraph
 
Reported: 2020-07-03 11:26 UTC by Mason James
Modified: 2022-12-12 21:24 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09


Attachments
Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal) (2.47 KB, patch)
2020-07-03 11:55 UTC, Mason James
Details | Diff | Splinter Review
Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal) (2.61 KB, patch)
2020-07-03 11:58 UTC, Mason James
Details | Diff | Splinter Review
pic of error (295.20 KB, image/png)
2020-07-09 01:33 UTC, Mason James
Details
Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal) (2.64 KB, patch)
2020-07-22 07:49 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal) (2.79 KB, patch)
2020-07-29 10:20 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 25920: Remove explicit dependency of liblocale-codes-perl (1.07 KB, patch)
2021-05-24 21:26 UTC, Mason James
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mason James 2020-07-03 11:26:35 UTC
This bug tracks the task of adding the liblocale-codes-perl package, to fix ubuntu-stable (focal)

looks like perl-5.30 on debian needs liblocale-codes-perl

root@buster:kohadevbox$ pmvers  Locale::Language
Locale::Language will be removed from the Perl core distribution in the next major release. Please install the separate liblocale-codes-perl package. It is being used at (eval 1), line 1.

Locale::Codes will be removed from the Perl core distribution in the next major release. Please install the separate liblocale-codes-perl package. It is being used at /usr/share/perl/5.28/Locale/Language.pm, line 22.
3.56
Comment 2 Mason James 2020-07-03 11:58:30 UTC
Created attachment 106497 [details] [review]
Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal)

to test on ubuntu-20...

1/ install koha-common pkg
 $ sudo apt install koha-common

2/ confirm liblocale-codes-perl pkg is not installed :(
 $ apt-cache policy  liblocale-codes-perl | grep Installed
 Installed: (none)

3/ apply patch

4/ build and install new koha-common pkg

5/ confirm liblocale-codes-perl pkg is now installed :)
 $ apt-cache policy  liblocale-codes-perl | grep Installed
 Installed: 3.62-1
Comment 3 Mason James 2020-07-09 01:08:20 UTC
> 5/ confirm liblocale-codes-perl pkg is now installed :)
>  $ apt-cache policy  liblocale-codes-perl | grep Installed
>  Installed: 3.62-1


until this patch is pushed, you can manually fix this problem with the following command

$ sudo apt install liblocale-codes-perl
Comment 4 Mason James 2020-07-09 01:33:25 UTC
Created attachment 106672 [details]
pic of error
Comment 5 Mason James 2020-07-09 01:38:44 UTC
(In reply to Mason James from comment #0)
> This bug tracks the task of adding the liblocale-codes-perl package, to fix
> ubuntu-stable (focal)
> 
> looks like perl-5.30 on debian needs liblocale-codes-perl


hmm, problem exists on debian 11 too
Comment 6 Mason James 2020-07-09 23:03:13 UTC
(In reply to Mason James from comment #5)
> (In reply to Mason James from comment #0)
> > This bug tracks the task of adding the liblocale-codes-perl package, to fix
> > ubuntu-stable (focal)
> > 
> > looks like perl-5.30 on debian needs liblocale-codes-perl
> 
> 
> hmm, problem exists on debian 11 too

this seems to stop installation at the 'web installer' stage
Comment 7 Martin Renvoize 2020-07-22 07:49:21 UTC
Created attachment 107171 [details] [review]
Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal)

to test on ubuntu-20...

1/ install koha-common pkg
 $ sudo apt install koha-common

2/ confirm liblocale-codes-perl pkg is not installed :(
 $ apt-cache policy  liblocale-codes-perl | grep Installed
 Installed: (none)

3/ apply patch

4/ build and install new koha-common pkg

5/ confirm liblocale-codes-perl pkg is now installed :)
 $ apt-cache policy  liblocale-codes-perl | grep Installed
 Installed: 3.62-1

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2020-07-22 07:49:45 UTC
Works as expected from the test plan.  Signing off
Comment 9 Joonas Kylmälä 2020-07-29 10:20:14 UTC
Created attachment 107480 [details] [review]
Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal)

to test on ubuntu-20...

1/ install koha-common pkg
 $ sudo apt install koha-common

2/ confirm liblocale-codes-perl pkg is not installed :(
 $ apt-cache policy  liblocale-codes-perl | grep Installed
 Installed: (none)

3/ apply patch

4/ build and install new koha-common pkg

5/ confirm liblocale-codes-perl pkg is now installed :)
 $ apt-cache policy  liblocale-codes-perl | grep Installed
 Installed: 3.62-1

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Joonas Kylmälä <joonas.kylmala@helsinki.fi>
Comment 10 Jonathan Druart 2020-07-30 15:47:06 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 11 Lucas Gass 2020-08-06 19:59:46 UTC
backported to 20.05.x for 20.05.03
Comment 12 Aleisha Amohia 2020-08-07 01:43:02 UTC
backported to 19.11.x for 19.11.09
Comment 13 Victor Grousset/tuxayo 2020-09-19 01:42:57 UTC
Tried to backport to 19.05.x, got this conflict:

<<<<<<< HEAD
||||||| parent of f19e6015b0... Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal)
    'CPAN::Meta'           => 'libcpan-meta-perl (>= 2.150010) | perl-modules-5.28 | perl-modules-5.30 | perl-modules (>= 5.20.2)'
=======
    'CPAN::Meta'           => 'libcpan-meta-perl (>= 2.150010) | perl-modules-5.28 | perl-modules-5.30 | perl-modules (>= 5.20.2)',
    'Locale::Language'     => 'liblocale-codes-perl'
>>>>>>> f19e6015b0... Bug 25920: Add liblocale-codes-perl package to fix ubuntu-stable (focal)


Aside from that, is that needed for 19.05.x? (recommended systems: Debian 9 & Ubuntu 18.04)
Comment 14 Jonathan Druart 2021-05-21 09:32:51 UTC
But... Why do we actually need it? It seems that we don't use it:

% git grep Locale::Language
cpanfile:requires 'Locale::Language', '2.07';
debian/list-deps:    'Locale::Language'     => 'liblocale-codes-perl',
Comment 15 Mason James 2021-05-21 21:46:44 UTC
(In reply to Jonathan Druart from comment #14)
> But... Why do we actually need it? It seems that we don't use it:
> 
> % git grep Locale::Language
> cpanfile:requires 'Locale::Language', '2.07';
> debian/list-deps:    'Locale::Language'     => 'liblocale-codes-perl',

it seems that 'perl' and 'perl-modules-5.30' packages need it

root@kohadevbox:kohadevbox$ apt-cache rdepends liblocale-codes-perl
liblocale-codes-perl
Reverse Depends:
  perl-modules-5.30
  koha-perldeps
  koha-core
  koha-common
  perl-modules-5.30
  perl
 |w3c-linkchecker
  publican
 |libhtml-microformats-perl
 |libhtml-html5-sanity-perl
 |libdist-zilla-localetextdomain-perl
 |libbusiness-onlinepayment-ippay-perl
 |libbusiness-isin-perl
  ledgersmb
  auto-multiple-choice-common
  perl
Comment 16 Mason James 2021-05-21 21:50:11 UTC
(In reply to Mason James from comment #15)
> (In reply to Jonathan Druart from comment #14)
> > But... Why do we actually need it? It seems that we don't use it:
> > 
> > % git grep Locale::Language
> > cpanfile:requires 'Locale::Language', '2.07';
> > debian/list-deps:    'Locale::Language'     => 'liblocale-codes-perl',
> 
> it seems that 'perl' and 'perl-modules-5.30' packages need it
> 

you can see it listed as a dep here...
 https://packages.ubuntu.com/focal/perl
Comment 17 Jonathan Druart 2021-05-24 07:40:56 UTC
ok but, why do we depend on it if another package already depends on it? :)
Comment 18 Mason James 2021-05-24 21:20:14 UTC
(In reply to Jonathan Druart from comment #17)
> ok but, why do we depend on it if another package already depends on it? :)

hmm yes, i agree 

the package should have been installed as a dependency of the 'perl' pkg. so i don't understand how it was not being installed

i'll add a patch to remove the explicit dependency
Comment 19 Mason James 2021-05-24 21:26:01 UTC
Created attachment 121343 [details] [review]
Bug 25920: Remove explicit dependency of liblocale-codes-perl

1/ apply patch

2/ build and install new koha-common package

3/ confirm liblocale-codes-perl pkg is installed
 $ apt-cache policy liblocale-codes-perl | grep Installed
 Installed: 3.62-1
Comment 20 Jonathan Druart 2021-05-25 07:15:13 UTC
Mason, we need a separate bug report for this last patch. The original one has been backported already.
Comment 21 Jonathan Druart 2021-10-08 13:22:08 UTC
(In reply to Jonathan Druart from comment #20)
> Mason, we need a separate bug report for this last patch. The original one
> has been backported already.

This is still pending.
Comment 22 Fridolin Somers 2022-02-11 18:56:29 UTC
(In reply to Jonathan Druart from comment #21)
> (In reply to Jonathan Druart from comment #20)
> > Mason, we need a separate bug report for this last patch. The original one
> > has been backported already.
> 
> This is still pending.
I've created Bug 30084 for that
Comment 23 Mason James 2022-03-02 04:42:20 UTC
(In reply to Fridolin Somers from comment #22)
> (In reply to Jonathan Druart from comment #21)
> > (In reply to Jonathan Druart from comment #20)
> > > Mason, we need a separate bug report for this last patch. The original one
> > > has been backported already.
> > 
> > This is still pending.
> I've created Bug 30084 for that

thanks Frido! this can be closed now